Bug 1475422 - [RFE] Middleware - Recheck existance before immediate redeployment
[RFE] Middleware - Recheck existance before immediate redeployment
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
unspecified Severity medium
: GA
: cfme-future
Assigned To: John Doyle
Hayk Hovsepyan
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 11:56 EDT by Hayk Hovsepyan
Modified: 2017-10-03 16:07 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Feature
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Middleware


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2017-07-26 11:56:45 EDT
Description of problem:
Requested by Red Hat Solutions Architect.

When trying to redeploy archive second time (with the same runtime name), immediately after first deploy without waiting it to be inventoried in CFME side, second deployment is proceed without warning message 'Deployment "..." already exists on this server.'.

RFE: Extend the check of deploy process to check also if the deployment with the same runtime name already exists on EAP server side but is not inventoried on CFME side. And show the warning message 'Deployment "..." already exists on this server.' and fail to submit deployment.

Steps to Reproduce:
1. Deploy archive to EAP server.
2. Do not wait until it is inventoried in CFME.
3. Redeploy the same archive with the same runtime name.

Actual results:
Deployment will be finished and message will be shown that: 'Deployment "..." has been initiated on this server.'. However deployment itself will fail and failure event will be thrown.

Expected results:
It will not allow to redeploy archive once more, even if it is not inventoried in CFME. Show the warning message 'Deployment "..." already exists on this server.' and fail to submit deployment.
Comment 2 John Doyle 2017-08-02 11:53:47 EDT
What's the message in the failure event that is captured?
Comment 3 Hayk Hovsepyan 2017-08-03 04:26:13 EDT
The failure event massage is: "The operation Deploy cfme_war.war on EAP7 (55ee3aef-9ac4-421c-a8a0-2c8554cef7d4) has failed to complete. Please check the logs for further details."
Comment 4 John Doyle 2017-08-03 14:37:23 EDT
If we check on the EAP server side for a deployment with the same runtime name, do we even have to check the CloudForms inventory? It seems like we should just check EAP in all cases and then we would avoid the issue with less complexity.

Note You need to log in before you can comment on or make changes to this bug.